------------------------------------------------------------------------------------
--Name:			191227[简体征服][任务脚本]忍者觉醒版本-忍者觉醒剧情任务
--Creator:		兰瑞妹
--Created:		2020/01/02
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>20
-- /chgmap 10764 255 370
-- 1.背景为dragon
-- 2.Hanzo从屏幕左侧移动至屏幕中(大概2秒)
-- 3.到达屏幕中前(大概1.9秒的时候)Hanzo身后出现一个忍者NPC,释放攻击动作，Hanzo被攻击时播放被攻击动作
-- 4.Hanzo被攻击后转身，如此反复3-4次

-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(258,370)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local player1 = CppScriptMgr:AddSimplePlayer(1050025,258,381,"Hanzo", 4003000050,1)
player1:SetArmor(194905,0,1)
player1:SetRWeapon(601439, 0, 1)
player1:SetLWeapon(601439, 0, 1)
player1:SetHair(16, 1)
player1:SetBattleLev(300)
local player2 = CppScriptMgr:AddSimplePlayer(1050025,240,365,"Fumataro", 4003000060,1)
player2:SetArmor(194905,0,1)
player2:SetRWeapon(0, 0, 1)
player2:SetLWeapon(0, 0, 1)
player2:SetHair(16, 1)
player1:SetBattleLev(450)

--跑入场

player1:RunTo(257,377)
--Fumataro袭击
local effectObj11 = CppScriptMgr:AddEffect("HHMS_WZ", 251,368)
CppScriptMgr:WaitMilSec(500)
local effectObj12 = CppScriptMgr:AddEffect("HHMS_Fire", 252,373)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("I am right. You came back for these toads.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumataro", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Fumataro!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Hanzo", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Give me the scroll of the Eight Gates, then they may have a chance to live.\nOtherwise, I will destroy the whole mountain and tell them it`s you who brought me here.\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumataro", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("You wish! I`ll take your life now!\nEight Gates!\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Hanzo", 250, 655)
CppScriptMgr:WaitMilSec(2000)
local player3 = CppScriptMgr:AddSimplePlayer(1050020,257,369,"KetherAssassin", 4003000070,1)
player3:SetArmor(196175,0,1)
player3:SetRWeapon(0, 0, 1)
player3:SetLWeapon(0, 0, 1)
player3:SetDir(1)
local effectObj13 = CppScriptMgr:AddEffect("SLZS_WZ", 262,369)
CppScriptMgr:WaitMilSec(1000)
player1:AddEffect("SLZS_Attk", 257,377)
CppScriptMgr:NpcCallOut("???!!!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Hanzo", 250, 655)
CppScriptMgr:WaitMilSec(1000)
player1:AddEffect("SLZS_Attk", 257,377)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Don`t be silly! Do you really think that I will just face off you here\nand let you use the Eight Gates?\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumataro", 250, 655)
player1:AddEffect("SLZS_Attk", 257,377)
CppScriptMgr:WaitMilSec(1000)
player1:AddEffect("SLZS_Attk", 257,377)
CppScriptMgr:WaitMilSec(500)
player1:SetAction(160)
CppScriptMgr:WaitMilSec(800)
player1:AddEffect("SLTZ_Strike", 257,377)
CppScriptMgr:WaitMilSec(800)
player1:SetAction(330)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("!!!\nYou broke out of the Prison Sigil! But I guess you don`t have spare energy for the Eight Gates.\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Hanzo", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("The Eight Gates is not my only skill.\n(Sorry, Toad Yemon, I can`t keep my promise.)\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc207", 150, 430, "Hanzo", 250, 655)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(5000)
player1:SetHide(1)
player2:SetHide(1)
player3:SetHide(1)
local effectObj17 = CppScriptMgr:AddEffect("shiguifengjin", 258,370)
CppScriptMgr:NpcCallOut("Banshee Sealing!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc209", 150, 430, "Fumataro", 250, 655)
CppScriptMgr:WaitMilSec(3000)
----------------------------------------------------------------------------------
